Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
apache2.4 seems to ignore access_compat module
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
bastibasti
Guru
Guru


Joined: 27 Nov 2006
Posts: 568

PostPosted: Thu Dec 08, 2016 6:36 pm    Post subject: apache2.4 seems to ignore access_compat module Reply with quote

hi,

i have installed
Code:

[ebuild   R    ] www-servers/apache-2.4.23-r2:2::gentoo  USE="ssl -debug -doc -ldap (-libressl) (-selinux) -static -suexec -threads" APACHE2_MODULES="access_compat actions alias asis auth_basic auth_digest authn_alias authn_anon authn_core authn_dbd authn_dbm authn_file authz_core authz_dbd authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache cache_disk cgi cgid dav dav_fs dav_lock deflate dir env expires ext_filter file_cache filter headers imagemap include info log_config logio mime mime_magic negotiation rewrite setenvif socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias -cern_meta -charset_lite -dbd -dumpio -http2 -ident -lbmethod_bybusyness -lbmethod_byrequests -lbmethod_bytraffic -lbmethod_heartbeat -log_forensic -macro -proxy -proxy_ajp -proxy_balancer -proxy_connect -proxy_fcgi -proxy_ftp -proxy_html -proxy_http -proxy_scgi -proxy_wstunnel -ratelimit -remoteip -reqtimeout -slotmem_shm -substitute -version" APACHE2_MPMS="-event -prefork -worker" 0 KiB


and enabled the module in httpd.conf
Code:

LoadModule access_compat_module modules/mod_access_compat.so

but however my error-log states
Code:

AH01630: client denied by server configuration:

(and I get a 403) - if I use the 2.4 syntax the 403 is not shown any longer. so it seems the access_compat module is inop. any advice??

[Moderator edit: added [code] tags to preserve output layout. -Hu]
Back to top
View user's profile Send private message
gerdesj
l33t
l33t


Joined: 29 Sep 2005
Posts: 621
Location: Yeovil, Somerset, UK

PostPosted: Mon Dec 26, 2016 11:17 pm    Post subject: Re: apache2.4 seems to ignore access_compat module Reply with quote

Never used it myself but have a look in /etc/apache2/modules.d and grep for "compat" There may be a config for it with a corresponding -D option to put in /etc/conf.d/apache2 (can't check now: big emerge running on my laptop - sorry)

I can't recall ever having to resort to editing httpd.conf to get a module running.

If there isn't a modules.d entry then I recommend that you create one - see https://wiki.gentoo.org/wiki/Apache#Files - that way you will avoid messing with httpd.conf which may be overwritten on updates or at least avoid dealing with etc-update/dispatchconf for it.

Cheers
Jon
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum